services:
  ironpad:
    container_name: ironpad
    restart: unless-stopped

    build:
      context: .
      dockerfile: Dockerfile

    environment:
      IRONPAD_HOST: "0.0.0.0"
      IRONPAD_PORT: "3000"
      IRONPAD_DISABLE_TRAY: "1"
      IRONPAD_DATA_DIR: "/app/data"
      RUST_LOG: "info"

    ports:
      - "3000:3000"

    volumes:
      - ./data:/app/data
